__blocking_notifier_call_chain
Prev | Kernel utility functions | Next

## Name

__blocking_notifier_call_chain — Call functions in a blocking notifier chain

## Synopsis

`int __blocking_notifier_call_chain (` | struct blocking_notifier_head * | nh,
| unsigned long | val,
| void * | v,
| int | nr_to_call,
| int * | nr_calls`)`;

## Arguments

`nh`

  Pointer to head of the blocking notifier chain

`val`

  Value passed unmodified to notifier function

`v`

  Pointer passed unmodified to notifier function

`nr_to_call`

  See comment for notifier_call_chain.

`nr_calls`

  See comment for notifier_call_chain.

## Description

Calls each function in a notifier chain in turn. The functions run in a process context, so they are allowed to block.

If the return value of the notifier can be and'ed with `NOTIFY_STOP_MASK` then `blocking_notifier_call_chain` will return immediately, with the return value of the notifier function which halted execution. Otherwise the return value is the return value of the last notifier function called.

Prev | Up | Next
blocking_notifier_chain_unregister | Home | raw_notifier_chain_register